Sets public static property value

- « ReflectionClass::resetAsLazyProxy

- ReflectionClass::__toString »

- PHP Manual
- ReflectionClass
- Sets public static property value

# ReflectionClass::setStaticPropertyValue

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

ReflectionClass::setStaticPropertyValue — Sets public static property value

### Description

public ReflectionClass::setStaticPropertyValue(string `$name`, mixed `$value`): void

Sets the value of a public static property. If the property is private or protected, the method will fail.

ReflectionProperty::setValue() allows setting the value of public, private, and protected properties.

### Parameters

`name`

  Property name.

`value`

  New property value.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
7.4.0 | Using ReflectionClass::setStaticPropertyValue() to set a private or protected property now results in a fatal error. Previously, it threw a ReflectionException.

### See Also

- ReflectionClass::getStaticPropertyValue() - Gets static property value
- ReflectionProperty::setValue() - Set property value